#!E:\Python24\python.exe
# -*- coding: Latin-1 -*-

'''
$RCSfile: dsa_info.cgi,v $
$Revision: 801 $
$Author: markus $
$Date: 2006-11-16 11:03:04 +0100 (Thu, 16 Nov 2006) $
The deafult BioCASe provider software page
'''

import os, sys
# ***** include the biocase.lib directory in the python sys path for module importing *****
execfile( os.path.abspath(os.path.join(os.path.dirname( __file__ ), os.path.pardir, 'lib', 'biocase', 'adjustpath.py' ) ) )

try:
    #Import some stuff-----------------------------------------
    import cgitb; cgitb.enable()
    import string, cgi
    #-----------------------------------------------------------------------------------------------------------
    import biocase.tools.templating
    import biocase.configuration
    import biocase.datasources
    from biocase import __version__
    
    
    # get config data
    cfg=biocase.configuration.Cfg()
    #Get the dsa parameter
    form = cgi.FieldStorage()
    # create dsa object
    dsaObj = biocase.datasources.Datasource(form['dsa'].value)
    url = '%s?dsa=%s' %(cfg.PyWrapperURL, dsaObj.name)
    service_name = "Datasource: %s"%dsaObj.name
    
    #------------------------------------------------------------------------------------
    
    pm = biocase.tools.templating.PageMacro('Content', biocase.tools.templating.PageMacro.KEEPMODE)
    pm.load('Content', os.path.join(cfg.wwwLocator, '_dsa_info.html'))
    pm['ServiceTitle'] = service_name
    pm['dsa'] = dsaObj.name
    pm['wrapper_url']  = dsaObj.getBioCASeAccessPoint()    
    
    #Print the headers  
    print 'Content-Type: text/html; charset=UTF-8'
    print # Blank line marking end of HTTP headers
    
    print pm

except ImportError:
    # redirect to lib test page
    print "Location: utilities/testlibs.cgi"
    print
    